package eta_trial

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type EdbdataClassify struct {
	ClassifyId   int    `orm:"column(classify_id);pk"`
	ClassifyName string // 分类名称
	ParentId     int    // 父级分类id
	CreateTime   time.Time
	Sort         int // 分类排序
	IsShow       int // 1:展示,0:不展示
}

func (m *EdbdataClassify) TableName() string {
	return "edbdata_classify"
}

func (m *EdbdataClassify) GetItemsByCondition(cond string, pars []interface{}, fieldArr []string, orderRule string) (items []*EdbdataClassify, err error) {

	o := orm.NewOrmUsingDB("edb_trial")
	sql := `SELECT * FROM edbdata_classify where 1=1`
	if cond != "" {
		sql += cond
	}
	order := ` order by create_time DESC`
	if orderRule != "" {
		sql += orderRule
	} else {
		sql += order
	}
	_, err = o.Raw(sql, pars).QueryRows(&items)
	return
}
