package eta_trial

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type ManualUserClassify struct {
	ManualUserClassifyId int `orm:"column(manual_user_classify_id);pk"`
	AdminId              int
	ClassifyId           int
	CreateTime           time.Time
}

func (m *ManualUserClassify) TableName() string {
	return "manual_user_classify"
}

func (m *ManualUserClassify) Create() (err error) {
	o := orm.NewOrmUsingDB("hz_data_trial")
	_, err = o.Insert(m)
	return
}

func (m *ManualUserClassify) BatchCreate(items []*ManualUserClassify) (err error) {
	o := orm.NewOrmUsingDB("hz_data_trial")
	_, err = o.InsertMulti(len(items), items)
	return
}
