package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "AddEtaTrialAdmin",
            Router: `/admin/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "AutoDisableAdmin",
            Router: `/admin/auto_disable`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "EnabledEtaTrialAdmin",
            Router: `/admin/enabled`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "GetMobileCount",
            Router: `/mobile/count`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "Disable",
            Router: `/user/disable`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/user/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "GetUserByMobile",
            Router: `/user/mobile_fetch`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "Remove",
            Router: `/user/remove`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "UpdateActiveTime",
            Router: `/user/update_active_time`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "UpdateChartNum",
            Router: `/user/update_chart_num`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "UpdateIndexNum",
            Router: `/user/update_index_num`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "UpdateLogin",
            Router: `/user/update_login`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "UpdateLoginDuration",
            Router: `/user/update_login_duration`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysDepartmentController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/department/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysDepartmentController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/department/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysDepartmentController"],
        beego.ControllerComments{
            Method: "Sync",
            Router: `/department/sync`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysGroupController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysGroupController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/group/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysGroupController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysGroupController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/group/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysGroupController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysGroupController"],
        beego.ControllerComments{
            Method: "Sync",
            Router: `/group/sync`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysRoleController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/role/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysRoleController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/role/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers/system:SysRoleController"],
        beego.ControllerComments{
            Method: "Sync",
            Router: `/role/sync`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:AdminController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:AdminController"],
        beego.ControllerComments{
            Method: "BatchSave",
            Router: `/batch_save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:AdminController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:AdminController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:AdminController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:AdminController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:AuthController"],
        beego.ControllerComments{
            Method: "CreateAuthCode",
            Router: `/auth_code`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "BatchSave",
            Router: `/batch_save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartCollectController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartCollectController"],
        beego.ControllerComments{
            Method: "ChartList",
            Router: `/chart/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartCollectController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartCollectController"],
        beego.ControllerComments{
            Method: "ClassifyList",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartInfoController"],
        beego.ControllerComments{
            Method: "CommonChartInfoDetailFromUniqueCode",
            Router: `/common/from_unique_code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartInfoController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartInfoController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartInfoController"],
        beego.ControllerComments{
            Method: "Update",
            Router: `/update`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartInfoController"],
        beego.ControllerComments{
            Method: "UserChartList",
            Router: `/user/chart_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartThemeController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartThemeController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/theme/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartThemeController"] = append(beego.GlobalControllerRouter["eta/eta_forum_hub/controllers:ChartThemeController"],
        beego.ControllerComments{
            Method: "ThemeTypeSave",
            Router: `/theme/type/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
